List distribution requested to the brokerage firm given in the path
curl --request GET \
--url https://api.example.com/view-specific/{brokerageFirmId}/wholesale-distribution-requestsimport requests
url = "https://api.example.com/view-specific/{brokerageFirmId}/wholesale-distribution-requests"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/view-specific/{brokerageFirmId}/wholesale-distribution-requests', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"type": "<string>",
"brokerageFirmId": "<string>",
"productId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"brokerageFirm": {
"type": "<string>",
"id": "<string>",
"companyInfo": {
"siret": "<string>",
"siren": "<string>",
"nafCode": "<string>",
"nafLabel": "<string>",
"name": "<string>",
"creationDate": "<string>",
"location": {
"city": "<string>",
"country": "<string>",
"address": "<string>",
"postCode": "<string>"
},
"legalStatus": {
"1": "<string>",
"2": "<string>",
"3": "<string>"
},
"headcount": "<string>"
},
"createdAt": "2023-11-07T05:31:56Z",
"tenantId": "<string>",
"customFields": [
{
"key": "<string>",
"value": "<string>"
}
],
"parentBrokerageFirmId": "<string>",
"preferredPaymentMethodId": "<string>"
}
}
],
"pageInfo": {
"first": true,
"last": true
},
"totalCount": 123,
"currentPage": 123,
"totalPages": 123
}view-specific
List distribution requested to the brokerage firm given in the path
GET
/
view-specific
/
{brokerageFirmId}
/
wholesale-distribution-requests
List distribution requested to the brokerage firm given in the path
Path Parameters
Query Parameters
the number of items to return
the page to retrieve
Available options:
PENDING, WAITING_FOR_SIGNATURE, APPROVED, DENIED, REVOKED Product id
Response
200 - application/json
Was this page helpful?
⌘I

